curl --request GET \
--url https://api.tomorro.com/v2/audit-logs \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tomorro.com/v2/audit-logs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tomorro.com/v2/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"category": "AUTH",
"actorId": "550e8400-e29b-41d4-a716-446655440001",
"actor": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"actorType": "MEMBER",
"username": "jane.doe@example.com",
"firstName": "Jane",
"lastName": "Doe",
"avatar": null
},
"actorType": "MEMBER",
"actorEmail": "jane.doe@example.com",
"sourceType": "API",
"userAgent": "Mozilla/5.0",
"ipAddress": "203.0.113.10",
"host": "app.tomorro.com",
"organizationId": "550e8400-e29b-41d4-a716-446655440002",
"event": "LOGIN",
"status": "SUCCESS",
"entityType": "MEMBER",
"entityId": "550e8400-e29b-41d4-a716-446655440003",
"meta": {
"name": "NDA Template"
},
"createdAt": "2026-06-02T10:15:30.000Z"
}
],
"pagination": {
"limit": 20,
"next_cursor": "eyJvZmZzZXQiOjIwLCJsaW1pdCI6MjB9",
"prev_cursor": null,
"has_next": true,
"has_previous": false
},
"links": {
"self": "/audit-logs?limit=20",
"next": "/audit-logs?limit=20&after=eyJvZmZzZXQiOjIwLCJsaW1pdCI6MjB9",
"prev": null
}
}List audit logs
Returns audit log entries for your organization within an optional date range. Supports cursor-based pagination (limit, after, before) and optional filters on actors and categories.
Authorizations
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
Query Parameters
Number of items per page (1-50)
1 <= x <= 5020
Cursor for forward pagination. Use the next_cursor value from a previous response.
"eyJpZCI6IjEyMyJ9"
Cursor for backward pagination. Use the prev_cursor value from a previous response.
"eyJpZCI6IjEwMCJ9"
Inclusive lower bound on createdAt (ISO 8601 date-time).
"2026-01-01T00:00:00.000Z"
Inclusive upper bound on createdAt (ISO 8601 date-time).
"2026-06-01T23:59:59.999Z"
Filter by actor member IDs. Formats: actorIds=uuid (single), actorIds=in:uuid1,uuid2 (multiple)
"in:11111111-1111-4111-8111-111111111111,22222222-2222-4222-8222-222222222222"
Filter by event categories. Formats: categories=AUTH (single), categories=in:AUTH,CONTRACT_MANAGEMENT (multiple)
"in:AUTH,CONTRACT_MANAGEMENT"
Response
Audit logs for the organization
Audit log entries for the current page.
Show child attributes
Show child attributes
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"category": "AUTH",
"actorId": "550e8400-e29b-41d4-a716-446655440001",
"actor": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"actorType": "MEMBER",
"username": "jane.doe@example.com",
"firstName": "Jane",
"lastName": "Doe",
"avatar": null
},
"actorType": "MEMBER",
"actorEmail": "jane.doe@example.com",
"sourceType": "API",
"userAgent": "Mozilla/5.0",
"ipAddress": "203.0.113.10",
"host": "app.tomorro.com",
"organizationId": "550e8400-e29b-41d4-a716-446655440002",
"event": "LOGIN",
"status": "SUCCESS",
"entityType": "MEMBER",
"entityId": "550e8400-e29b-41d4-a716-446655440003",
"meta": { "name": "NDA Template" },
"createdAt": "2026-06-02T10:15:30.000Z"
}
]
Pagination metadata including cursors and navigation flags.
Show child attributes
Show child attributes
{
"limit": 20,
"next_cursor": "eyJvZmZzZXQiOjIwLCJsaW1pdCI6MjB9",
"prev_cursor": null,
"has_next": true,
"has_previous": false
}
HATEOAS navigation links for pagination.
Show child attributes
Show child attributes
{
"self": "/audit-logs?limit=20",
"next": "/audit-logs?limit=20&after=eyJvZmZzZXQiOjIwLCJsaW1pdCI6MjB9",
"prev": null
}